sqg(8)

NAME
sqg - SBo Queue Generator

SYNOPSIS
sqg [options]

DESCRIPTION
sqg is a command-line script to generate queue file(s) to be used by sbopkg in order to list all dependencies for a certain package.

OPTIONS

-p PACKAGE(s)
    Creates queuefile(s) for individual package(s). Multiple packages can be passed with quotes.

    Package names are case-sensitive.

    For example:

        # sqg -p "pkg1 pkg2".

    will generate queue file for pkg1 and pkg2.

-a  Builds queuefiles for all packages.

-j <num>
    Number of concurrent queuefile generation processes. This could heavily raise disk I/O so use with care.

    Requires: GNU parallel (auto-detected)

    Default: 1

-o <output>
     User-defined queue output filename (without .sqf extension). This could be useful to create custom queue file. Multiple packages can be passed with quotes.

    For example:

        # sqg -p "qt5-webkit sshblock letsencrypt" -o myqueue

    will create a new queue called myqueue containing all dependencies for qt5-webkit, sshblock, and letsencrypt.

    You can then run sbopkg -i myqueue to have them installed (make sure to pick Queue).

AUTHORS
Willy Sudiarto Raharjo <willysr@sbopkg.org> Chess Griffin <chess@chessgriffin.com>

Mauro Giachero <mauro.giachero@gmail.com>

slakmagik <slakmagik@gmail.com>

SEE ALSO
sbopkg.conf(5), /usr/doc/sbopkg-xxxVERSIONxxx/README-queuefiles